Page MenuHomePhabricator

Setup IEG grant review project with translatewiki.net
Closed, ResolvedPublic

Description

Setup integration with translatewiki.net as requested by committee members:

Internationalization of interface messages including descriptions of criteria. It could help reviewers less comfortable with English to work more efficiently and to make less errors. English would still be needed for reading proposals and writing comments, though. We could use TranslateWiki.Net.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz72291

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:52 AM
bzimport set Reference to bz72291.
bzimport added a subscriber: Unknown Object (MLST).
bd808 created this task.Oct 21 2014, 2:53 AM
bd808 lowered the priority of this task from Normal to Lowest.Mar 26 2015, 8:59 PM

Since most of the messages in the application interface are moving into Admin controlled database content, translatewiki integration is not going to be incredibly useful.

Hmm, Phabricator. I need someone to give @L10n-bot push rights to that repository.

bd808 added a comment.Feb 21 2018, 4:33 PM

Hmm, Phabricator. I need someone to give @L10n-bot push rights to that repository.

{{done}}

Content looks okay. Access looks okay. Does this project have a logo and a description? Is the canonical name "Wikimedia Grants review"?

Description - Grant proposal review tool for the Wikimedia Individual Engagement Grants project
Logo - https://phabricator.wikimedia.org/source/iegreview/browse/master/public/images/glasses.png
In phabricator the project tag is Wikimedia-IEG-grant-review. @Niharika Could you please confirm this information

Description - Grant proposal review tool for the Wikimedia Individual Engagement Grants project
Logo - https://phabricator.wikimedia.org/source/iegreview/browse/master/public/images/glasses.png
In phabricator the project tag is Wikimedia-IEG-grant-review. @Niharika Could you please confirm this information

The name should be "Wikimedia Grants review". We were told to do away with "IEG" and make it generic for all grants.

Amire80 renamed this task from Setup project with translatewiki.net to Setup IEG grant review project with translatewiki.net.Feb 26 2018, 2:15 PM
abi_ added a subscriber: abi_.Jun 12 2019, 3:06 AM

Greetings everyone.

@bd808 - I know it's been a while, but shall we go ahead and add this project to translatewiki.net?

bd808 added a comment.Jun 12 2019, 8:41 AM

Greetings everyone.
@bd808 - I know it's been a while, but shall we go ahead and add this project to translatewiki.net?

Sure! Now that the code is back in gerrit that should be relatively easy. If you have the time & energy to do the setup that would be awesome.

abi_ claimed this task.Jun 13 2019, 6:35 AM

Cool, I'll do that.

Name - Wikimedia Grants review
Gerrit Repo - https://gerrit.wikimedia.org/r/admin/projects/wikimedia/iegreview
Description - Grant proposal review tool for the Wikimedia Individual Engagement Grants project
Logo - https://phabricator.wikimedia.org/source/iegreview/browse/master/public/images/glasses.png

abi_ moved this task from Backlog to In Progress on the User-abi_ board.

Change 517473 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add Wikimedia Grants Review to translatewiki.net

https://gerrit.wikimedia.org/r/517473

abi_ moved this task from In Progress to Under Review on the User-abi_ board.Jun 17 2019, 7:22 PM

Change 517473 merged by jenkins-bot:
[translatewiki@master] Add Wikimedia Grants Review to translatewiki.net

https://gerrit.wikimedia.org/r/517473

abi_ closed this task as Resolved.Jul 15 2019, 5:55 PM
abi_ removed a project: Patch-For-Review.
abi_ moved this task from Under Review to Done on the User-abi_ board.

This is done and deployed on Translatewiki.net

abi_ added a comment.Jul 15 2019, 6:00 PM

The insertables are also working well. See screenshot below,